package com.hwrj.cloud.portal.dao;

import com.hwrj.cloud.portal.domain.UmsCompanyInfoDto;
import com.hwrj.cloud.portal.model.UmsCompanyFile;
import com.hwrj.cloud.portal.model.UmsCompanyInfo;
import com.hwrj.cloud.portal.model.UmsCompanyInfoExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface UmsCompanyInfoDao {
    long countByExample(UmsCompanyInfoExample example);

    int deleteByExample(UmsCompanyInfoExample example);

    int deleteByPrimaryKey(Long id);

    int insert(UmsCompanyInfo record);

    int insertSelective(UmsCompanyInfo record);

    List<UmsCompanyInfoDto> selectByExampleWithBLOBs(UmsCompanyInfoExample example);

    List<UmsCompanyInfoDto> selectByExample(UmsCompanyInfoExample example);

    UmsCompanyInfoDto selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") UmsCompanyInfo record, @Param("example") UmsCompanyInfoExample example);

    int updateByExampleWithBLOBs(@Param("record") UmsCompanyInfo record, @Param("example") UmsCompanyInfoExample example);

    int updateByExample(@Param("record") UmsCompanyInfo record, @Param("example") UmsCompanyInfoExample example);

    int updateByPrimaryKeySelective(UmsCompanyInfo record);

    int updateByPrimaryKeyWithBLOBs(UmsCompanyInfo record);

    int updateByPrimaryKey(UmsCompanyInfo record);

    public UmsCompanyFile companyFile(Long compId);
}
